Flame Lord Kakai:
To obtain the qualifications to become an Orc Shaman, your level must be at least 20 and you must pass the Test of the Orc Shaman.
I cannot change your profession for you, however, because only those who have experienced Human society and understand the great world beyond the plateau are qualified to change profession. "Know the enemy as you know yourself, and you will be invincible in battle," the sages say.
If you want to take the Test of the Orc Shaman, go to Tataru Zu Hestui of our village. He will tell you everything you need to know. Also, to change profession, you must leave this place and go to the village of Gludin in the region of Gludio. There are Orcs there that teach Mystics like you. Go find High Prefect Osborn. If you have the qualifications, he will change your profession to Orc Shaman.
Return